> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark offer as deleted

> Idempotent. Deleted offer cannot be restored. 

All coupons assigned to the deleted offer will disappear in the app. 

If Lobyco Coupon is used, coupons will not be usable on POS, even if customers already activated them. 

If custom implementation of Coupon service is used, it's up to retailer to make sure coupons will no longer work on POS. 

Deleted offer will also be automatically removed from its parent campaign.



## OpenAPI

````yaml openapi/promotion-v2.json DELETE /v2/campaigns/{offerId}
openapi: 3.0.4
info:
  title: Offer (Promotion) Api
  version: v2
servers:
  - url: https://{host}/promotion
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v2/campaigns/{offerId}:
    delete:
      tags:
        - Campaigns
      summary: Mark offer as deleted
      description: >-
        Idempotent. Deleted offer cannot be restored. 


        All coupons assigned to the deleted offer will disappear in the app. 


        If Lobyco Coupon is used, coupons will not be usable on POS, even if
        customers already activated them. 


        If custom implementation of Coupon service is used, it's up to retailer
        to make sure coupons will no longer work on POS. 


        Deleted offer will also be automatically removed from its parent
        campaign.
      parameters:
        - name: offerId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebServiceError'
components:
  schemas:
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````